Package org.gitana.platform.client.application

# Class SettingsImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.application.AbstractApplicationDocumentImpl
org.gitana.platform.client.application.SettingsImpl

All Implemented Interfaces:
  `Serializable`, `ApplicationDocument`, `Settings`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class SettingsImpl extends AbstractApplicationDocumentImpl implements Settings

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.application.Settings

`ROOT_KEY`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`SettingsImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getResourceUri()`
`Object`
`getSetting(String settingKey)`
`com.fasterxml.jackson.databind.node.ArrayNode`
`getSettingAsArray(String settingKey)`
`boolean`
`getSettingAsBoolean(String settingKey)`
`double`
`getSettingAsDouble(String settingKey)`
`int`
`getSettingAsInt(String settingKey)`
`long`
`getSettingAsLong(String settingKey)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSettingAsObject(String settingKey)`
`String`
`getSettingAsString(String settingKey)`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSettings()`
`String`
`getTypeId()`
`void`
`reload()`
Reload
`void`
`setSetting(String settingKey, Object settingVal)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.application.AbstractApplicationDocumentImpl

`getApplication, getApplicationId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### SettingsImpl

public SettingsImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### getSettings

public com.fasterxml.jackson.databind.node.ObjectNode getSettings()

Specified by:
  `getSettings` in interface `Settings`

### getSetting

public Object getSetting(String settingKey)

Specified by:
  `getSetting` in interface `Settings`

### getSettingAsObject

public com.fasterxml.jackson.databind.node.ObjectNode getSettingAsObject(String settingKey)

Specified by:
  `getSettingAsObject` in interface `Settings`

### getSettingAsBoolean

public boolean getSettingAsBoolean(String settingKey)

Specified by:
  `getSettingAsBoolean` in interface `Settings`

### getSettingAsString

public String getSettingAsString(String settingKey)

Specified by:
  `getSettingAsString` in interface `Settings`

### getSettingAsArray

public com.fasterxml.jackson.databind.node.ArrayNode getSettingAsArray(String settingKey)

Specified by:
  `getSettingAsArray` in interface `Settings`

### getSettingAsInt

public int getSettingAsInt(String settingKey)

Specified by:
  `getSettingAsInt` in interface `Settings`

### getSettingAsLong

public long getSettingAsLong(String settingKey)

Specified by:
  `getSettingAsLong` in interface `Settings`

### getSettingAsDouble

public double getSettingAsDouble(String settingKey)

Specified by:
  `getSettingAsDouble` in interface `Settings`

### setSetting

public void setSetting(String settingKey, Object settingVal)

Specified by:
  `setSetting` in interface `Settings`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`